Bug 487705 - (CVE-2009-0366) CVE-2009-0366 wesnoth: non-public security issue
CVE-2009-0366 wesnoth: non-public security issue
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 10:14 EST by Tomas Hoger
Modified: 2016-03-01 04:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-02-27 10:14:33 EST
Wesnoth developers mailing list mentions security fix currently being worked on upstream:
  https://mail.gna.org/public/wesnoth-dev/2009-02/msg00036.html

Further details and upstream bug report are currently non-public:
  https://gna.org/bugs/index.php?13037
Comment 1 Tomas Hoger 2009-02-27 10:16:16 EST
There's currently not much info about this at the moment, though I filed this bug to make maintainers aware of the other upcoming security fix besides CVE-2009-0367, so they can be done in one update if desired.
Comment 2 Tomas Hoger 2009-03-11 11:59:49 EDT
Debian Security Advisory DSA-1737-1 has just been released referring to this CVE:

  http://lists.debian.org/debian-security-announce/2009/msg00047.html
  http://www.debian.org/security/2009/dsa-1737

describing the flaw as:

  CVE-2009-0366
  Daniel Franke discovered that the wesnoth server is prone to a denial of
  service attack when receiving special crafted compressed data.

The patch they used is upstream SVN r33069

  http://svn.gna.org/viewcvs/wesnoth?view=rev&rev=33069

Upstream bug report is still private, and I do not see any other public reference that would match r33069 to bug gna#13037 or CVE-2009-0366.
Comment 3 Vincent Danen 2009-03-12 11:21:18 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-0366 to
the following vulnerability:

Name: CVE-2009-0366
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0366
Assigned: 20090129
Reference: CONFIRM: http://launchpad.net/bugs/335089
Reference: CONFIRM: http://launchpad.net/bugs/336396
Reference: CONFIRM: http://launchpad.net/bugs/cve/2009-0366
Reference: CONFIRM: http://packages.debian.org/changelogs/pool/main/w/wesnoth/wesnoth_1.4.7-4/changelog
Reference: CONFIRM: http://packages.debian.org/changelogs/pool/main/w/wesnoth/wesnoth_1.5.12-1/changelog
Reference: CONFIRM: http://svn.gna.org/viewcvs/wesnoth/trunk/src/server/simple_wml.cpp?rev=33069&r1=32990&r2=33069
Reference: CONFIRM: http://svn.gna.org/viewcvs/wesnoth/trunk/src/server/simple_wml.cpp?rev=33069&view=log
Reference: CONFIRM: https://gna.org/bugs/index.php?13037
Reference: DEBIAN:DSA-1737
Reference: URL: http://www.debian.org/security/2009/dsa-1737
Reference: BID:34085
Reference: URL: http://www.securityfocus.com/bid/34085

The uncompress_buffer function in src/server/simple_wml.cpp in Wesnoth
before r33069 allows remote attackers to cause a denial of service via
a large compressed WML document.

Note You need to log in before you can comment on or make changes to this bug.